| DocBook: The Definitive Guide 2.0.17 (Alpha)

# preface

$Revision$

$Date$

preface — Introductory matter preceding the first chapter of a book

## Synopsis

### Content Model

    preface ::=
    (beginpage?,prefaceinfo?,
     (title,subtitle?,titleabbrev?),
     (toc|lot|index|glossary|bibliography)*,
     tocchap?,
     (((calloutlist|glosslist|bibliolist|itemizedlist|orderedlist|
        segmentedlist|simplelist|variablelist|caution|important|note|
        tip|warning|literallayout|programlisting|programlistingco|
        screen|screenco|screenshot|synopsis|cmdsynopsis|funcsynopsis|
        classsynopsis|fieldsynopsis|constructorsynopsis|
        destructorsynopsis|methodsynopsis|formalpara|para|simpara|
        address|blockquote|graphic|graphicco|mediaobject|
        mediaobjectco|informalequation|informalexample|informalfigure|
        informaltable|equation|example|figure|table|msgset|procedure|
        sidebar|qandaset|task|productionset|constraintdef|anchor|
        bridgehead|remark|highlights|abstract|authorblurb|epigraph|
        indexterm|beginpage)+,
       (sect1*|
        (refentry)*|
        simplesect*|
        (section)*))|
      (sect1+|
       (refentry)+|
       simplesect+|
       (section)+)),
     (toc|lot|index|glossary|bibliography)*)

### Attributes

Common attributes

Name | Type | Default
status | CDATA | None

## Description

`Preface` is a preface or forward in a `Book`. The `Preface` element may appear more than once and should be used for all introductory chapter-like material. For example, a `Book` might have both a Foreward and an Introduction. Both should be tagged as `Preface`s in DocBook.

### Processing expectations

Formatted as a displayed block. Usually introduces a forced page break and often starts on the next recto page. It is common for the page numbers in prefaces to be displayed as roman numerals rather than arabic numerals. `Preface`s are usually listed in the Table of Contents.

### Parents

These elements contain preface: `book`, `part`.

### Children

The following elements occur in preface: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `bibliography`, `bibliolist`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glossary`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `index`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `lot`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `prefaceinfo`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `refentry`, `remark`, `screen`, `screenco`, `screenshot`, `sect1`, `section`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `simplesect`, `subtitle`, `synopsis`, `table`, `task`, `tip`, `title`, `titleabbrev`, `toc`, `tocchap`, `variablelist`, `warning`.

## Attributes

status

  `Status` identifies the editorial or publication status of the `Preface`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`appendix`, `article`, `book`, `chapter`, `colophon`, `dedication`, `part`, `partintro`, `set`.

## Examples

For examples, see `book`.

postcode |  | prefaceinfo

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.